	{% extends "lab_4/layout/base.html" %}

	{% block title %} Kumpulan Pesan {% endblock %}

	{% block content %}
	<!--  Populate semua isi pesan dari model -->
	<table class="table">
		<thead>
			<th>Nama</th>
			<th>Email</th>
			<th>Pesan</th>
			<th>Dibuat Pada</th>
		</thead>
		<tbody>
			<!-- TODO, Kalau nama/email anon maka tr classnya jadi warning -->
			{% for i in message %}
			{% if i.name == 'Anonymous' or i.email == 'Anonymous' %}
			<tr class="warning"> {% else %} <tr class="success">
				{% endif %}
				<td> {{i.name}} </td>
				<td> {{i.email}} </td>
				<td> {{i.message}} </td>
				<td> {{i.created_date|time}} </td>
			</tr>
			{% endfor %}
		</tbody>
	</table>

	{% endblock %}
